OpenapiO11y
Removes an alert rule, by id.
Removes an alert rule, by id.
DELETE /v1/o11y/rules/{id}
| Address | https://api.hanzo.ai/v1/o11y/rules/{id} |
| Method | DELETE |
| Operation | DeleteRuleByID |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Removes an alert rule, by id. Editor gate.
Request
1 field.
| Field | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Response
| Status | Body | Meaning |
|---|---|---|
204 | — | no content |
Failure carries the platform error shape — see Errors.
Examples
hanzo o11y rules rm <id>import { Configuration, O11yApi } from 'hanzoai';
const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.deleteRuleByID({ id: 'id' });from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi
client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).delete_rule_by_id(id='id')cfg := cloud.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := cloud.NewAPIClient(cfg)
resp, _, err := client.O11yAPI.DeleteRuleByID(context.Background()).Execute()
if err != nil {
return err
}use hanzo_cloud::apis::{configuration::Configuration, o11y_api};
let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();
let result = o11y_api::delete_rule_by_id(&cfg, Default::default()).await?;import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;
ApiClient client = new ApiClient();
client.setRequestInterceptor(b -> b.header("Authorization", "Bearer " + System.getenv("HANZO_API_KEY")));
var result = new O11yApi(client).deleteRuleByID();curl -X DELETE https://api.hanzo.ai/v1/o11y/rules/<id> \
-H "Authorization: Bearer $HANZO_API_KEY"Tool o11y, op DeleteRuleByID — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.
curl -X POST https://api.hanzo.ai/v1/mcp \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "o11y",
"arguments": {
"op": "DeleteRuleByID",
"input": {
"id": "<id>"
}
}
}
}'How is this guide?